Package net.shibboleth.shared.logic

# Interface NonnullFunction<T,U>

Type Parameters:
  `T` - input type
  `U` - output type

All Superinterfaces:
  `Function<T,U>`

All Known Implementing Classes:
  `ApplicationContextServiceStrategy`, `ClassBasedServiceStrategy`

public interface NonnullFunction<T,U> extends Function<T,U>
Implementation of `Function` that carries the nonnull annotation on the `apply(Object)` method's return value.

## Method Summary

Modifier and Type
Method
Description
`U`
`apply(T input)`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Method Details

### apply

@Nonnull U apply(@Nullable T input)

Specified by:
  `apply` in interface `Function<T,U>`